import Vue from 'vue'
import VueRouter from 'vue-router'
Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'loginTest',
    meta: {
      inStructure: false
    },
    component: () => import('@/views/Login/loginTest.vue')
  },
  {
    path: '/index',
    name: 'index',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/index/index.vue')
  },
  //奖惩合同管理
  // 奖励管理
  {
    path: '/prize',
    name: 'prize',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/prizePunish/prize/index.vue')
  },
  // 处分管理
  {
    path: '/punish',
    name: 'punish',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/prizePunish/punish/index.vue')
  },
  // 合同管理
  {
    path: '/contract',
    name: 'contract',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/prizePunish/contract/index.vue')
  },
  // 申诉管理
  {
    path: '/appeal',
    name: 'appeal',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/prizePunish/appeal/index.vue')
  },
  // 评审管理
  {
    path: '/secondary',
    name: 'secondary',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Review/secondary/index.vue')
  },
  // 评审管理添加
  {
    path: '/secondaryAdd',
    name: 'secondaryAdd',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Review/secondary/components/userInfo.vue')
  },
  // 系统工具
  // 表单构建
  {
    path: '/formConstruction',
    name: 'formConstruction',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemTools/formConstruction/index.vue')
  },
  // 代码生成
  {
    path: '/generateCode',
    name: 'generateCode',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemTools/generateCode/index.vue')
  },
  {
    path: '/recruitmentPlan',
    name: 'recruitmentPlan',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/recruitmentPlan.vue')
  },
  {
    path: '/recruitmentPerson',
    name: 'recruitmentPerson',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPerson/recruitmentPerson.vue')
  },
  {
    path: '/personalCenter',
    name: 'personalCenter',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/user/personalCenter/personalCenter.vue')
  },
  {
    path: '/recruitmentPlan',
    name: 'recruitmentPlan',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/RecruitmentPeople.vue')
  },
  {
    path: '/RecruitmentPeople',
    name: 'RecruitmentPeople',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/RecruitmentPeople.vue')
  },
  {
    path: '/recruit',
    name: 'recruit',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Recruitment/recruit.vue')
  },
  {
    path: '/appeal',
    name: 'appeal',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Appeal/appeal.vue')
  },
  {
    path: '/Assess',
    name: 'assess',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Assess/assess.vue')
  },
  {
    path: '/Contract',
    name: 'contract',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Contract/contract.vue')
  },
  {
    path: '/Discipline',
    name: 'discipline',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Discipline/discipline.vue')
  },
  {
    path: '/Post',
    name: 'post',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Post/post.vue')
  },
  {
    path: '/Rewards',
    name: 'rewards',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Rewards/rewards.vue')
  },
  {
    path: '/systemUser',
    name: 'systemUser',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/systemUser/systemUser.vue')
  },
  {
    path: '/systemRole',
    name: 'systemRole',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/systemRole.vue')
  },
  {
    path: '/agency',
    name: 'agency',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Agency/agency.vue')
  },
  {
    path: '/personnel',
    name: 'personnel',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Personnel/personnel.vue')
  },
  {
    path: '/audit',
    name: 'audit',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Audit/audit.vue')
  },
  {
    path: '/downsizing',
    name: 'downsizing',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Downsizing/downsizing.vue')
  },
  {
    path: '/personnel',
    name: 'personnel',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Personnel/personnel.vue')
  },
  {
    path: '/dispatch',
    name: 'dispatch',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Dispatch/dispatch.vue')
  },
  {
    path: '/model',
    name: 'model',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Menu/model.vue')
  },
  {
    path: '/definition',
    name: 'definition',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Menu/definition.vue')
  },
  {
    path: '/user',
    name: 'user',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Menu/user.vue')
  },
  {
    path: '/group',
    name: 'group',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Menu/group.vue')
  },
  {
    path: '/update',
    name: 'update',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Journal/update.vue')
  },
  {
    path: '/operate',
    name: 'operate',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Journal/operate.vue')
  },
  {
    path: '/login',
    name: 'login',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Journal/login.vue')
  },
  {
    path: '/menu',
    name: 'menu',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/menu.vue')
  },
  {
    path: '/job',
    name: 'job',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/job.vue')
  },
  {
    path: '/dict',
    name: 'dict',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/dict.vue')
  },
  {
    path: '/param',
    name: 'param',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/param.vue')
  },
  {
    path: '/public',
    name: 'public',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/systemManagement/public.vue')
  },
  {
    path: '/Online',
    name: 'Online',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Monitoring/Online.vue')
  },
  {
    path: '/timing',
    name: 'timing',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Monitoring/timing.vue')
  },
  {
    path: '/datum',
    name: 'datum',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Monitoring/datum.vue')
  },
  {
    path: '/Service',
    name: 'Service',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Monitoring/Service.vue')
  },
  {
    path: '/cache',
    name: 'cache',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Monitoring/cache.vue')
  },
  {
    path: '/organ',
    name: 'organ',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Basis/organ.vue')
  },
  {
    path: '/Staff',
    name: 'Staff',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Basis/Staff.vue')
  },
  {
    path: '/station',
    name: 'station',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Basis/station.vue')
  },
  {
    path: '/query',
    name: 'query',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Basis/query.vue')
  },
  {
    path: '/register',
    name: 'register',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Basis/register.vue')
  },
  {
    path: '/declare',
    name: 'declare',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Declare/declare.vue')
  },
  {
    path: '/check',
    name: 'check',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Declare/check.vue')
  },
  {
    path: '/finished',
    name: 'finished',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Declare/finished.vue')
  },
  {
    path: '/time',
    name: 'time',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Declare/time.vue')
  },
  {
    path: '/vouch',
    name: 'vouch',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Tool/vouch.vue')
  },
  {
    path: '/port',
    name: 'port',
    meta: {
      inStructure: true
    },
    component: () => import('@/views/Tool/port.vue')
  },
]

const router = new VueRouter({
  routes
})
// 解决报错
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
export default router
