import introJs from "intro.js"; // 引入intro.js
import "intro.js/introjs.css"; // intro.js的基础样式文件

//指引功能
export default {
    Intro(steps) {
        introJs()
            .setOptions({
                nextLabel: "下一步",
                prevLabel: "上一步",
                doneLabel: "知道了",
                highlightClass: "highlight",
                tooltipClass: "reminder",
                showBullets: false,
                hidePrev: true,
                overlayOpacity: 0.4,
                exitOnOverlayClick: false,
                steps: steps
            })
            .start();
    }
}

/*
    1.在对应的组件内引用-----import IntroJs from "@/utils/IntroJs";
    2.在methods里写一个Intro()方法,方法里面编写指引样式,位置
    Intro() {
      let steps = [
        {
          element: ".wait",     //高亮显示位置,可为id或类
          intro: "第一步"       //此处为提示内容,可为字符串也可为html标签
          position: "right",    //提示显示位置
        },
      ];
      IntroJs.Intro(steps);
    },
*/